
/* MACHINE GENERATED */


/* init.c               */

Prototype long InitC(void);
Prototype void ExitC(void);

/* memory.c             */

Prototype long MemoryInit(void);
Prototype void MemoryExit(void);
Prototype APTR AllocVecPooled(ULONG,ULONG);
Prototype void FreeVecPooled(APTR);

/* lib.c                */

Prototype LibCall struct Library *LibInit   (__D0 BPTR);
Prototype LibCall struct Library *LibOpen   (__D0 long, __A0 struct Library *);
Prototype LibCall long            LibClose  (__A0 struct Library *);
Prototype LibCall long            LibExpunge(__A0 struct Library *);

/* funcs.c              */

Prototype LibCall struct ParserData     *MountScanner(void);
Prototype LibCall ULONG                  StartScanner(__A0 struct GlobalConfig *, __A1 struct EditConfig *, __D0 struct SyntaxChunk *);
Prototype LibCall ULONG                  CloseScanner(__D0 ULONG);
Prototype LibCall void                   FlushScanner(__D0 ULONG);
Prototype LibCall void                   SetupScanner(__A0 struct GlobalConfig  *);
Prototype LibCall struct RefreshRequest *BriefScanner(__D0 ULONG, __A0 struct ScannerNotify *);
Prototype LibCall struct SyntaxChunk    *ParseLine   (__D0 ULONG, __A0 struct LineNode *, __D1 ULONG);
Prototype LibCall void                   UnparseLines(__A0 struct LineNode *, __D0 ULONG);
Prototype LibCall void                   ParseSection(__D0 ULONG, __A0 struct LineNode *, __D1 ULONG);
Prototype void                           PrepareHash(void);
Prototype struct SyntaxChunk            *ParseString(UBYTE *, UWORD, ULONG);
Prototype struct SyntaxInfo             *DupInfo(struct SyntaxInfo *);
Prototype struct Keyword                *IsAReservedWord(UBYTE *, UWORD);
Prototype struct Keyword                *IsAReservedOperator(UBYTE *, UWORD);
Prototype BOOL                           strnchr(UBYTE *, UWORD, UWORD);
Prototype BOOL                           CheckEnvironment(UBYTE *, UWORD, UWORD, struct Keyword *);
Prototype struct LineNode               *FindContextStart(ULONG, struct LineNode *);
Prototype void                           ParseContext(struct LineNode *, ULONG, ULONG);
Prototype struct SyntaxInfo             *ParseContextLine(UBYTE *, UWORD, ULONG, ULONG);
Prototype BOOL                           BadSuccessor(ULONG, ULONG);
Prototype struct RefreshRequest         *VerifyContext(ULONG, ULONG, ULONG);
Prototype BOOL                           ReadKeywords(void);

/* tag.a                */

Prototype ALibExpunge(), ALibClose(), ALibOpen(), ALibReserved();
