/* ARexxPrint.rexx
 * Support script for the print function of Fiasco.
 * This script is automatically called by Fiasco and
 * is not allowed to call any Fiasco functions.
 * Copyright  1996 Nils Bandener
 * $VER: ARexxPrint.rexx 4.3 (21.7.96)
 */

Parse Arg File

Address Command

File = strip(File,,'"')

/* Have to use full path because
 * Fiasco has no paths when started
 * from WB
 */

'tex:bin/virtex' '"' || File || '"'

dotpos = lastpos(".", File)

if dotpos ~= 0 then DVIFile = substr(File, 1, dotpos-1) || ".dvi"
else DVIFile = File || ".dvi"

'tex:bin/dviprint' '"' || DVIFile  || '"'


