#include <exec/types.h>
#include <exec/ports.h>
#include <exec/semaphores.h>
#include <exec/libraries.h>
#include <dos/dos.h>
#include <exec/memory.h>
#include <clib/exec_protos.h>
#include <clib/alib_protos.h>
#include <string.h>
#include <ctype.h>

#define LibCall    __geta4 __regargs
#define Prototype  extern

// prototypes pools.lib

Prototype APTR AsmCreatePool(__d0 ULONG,__d1 ULONG,__d2 ULONG,__a6 struct Library *);
Prototype void AsmDeletePool(__a0 APTR,__a6 struct Library *);
Prototype APTR AsmAllocPooled(__a0 APTR, __d0 ULONG,__a6 struct Library *);
Prototype void AsmFreePooled(__a0 APTR,__a1 APTR,__d0 ULONG,__a6 struct Library *);

#include "golded:developer/golded/include/golded.h"
#include "golded:developer/syntax/include/scanlib.h"
#include "o/lib-protos.h"

extern const char LibName[];
extern const char LibId[];

extern struct Library *SysBase;
